mySQL2 gem under Windows is failing for version 0.3.13

2013-07-24 03:31 - Matthew Houston

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.3.2

Description

Doing an upgrade under Windows from a working 2.1.2 install to 2.3.2.

The command 'bundle install --without test developement rmagick' is failing due to mySQL2 gem trying to install version 0.3.13.

It fails with the error 'Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension.'

This wasn't noticed when upgrading to 2.3.1 (for testing).

Changing the gemfile to specifically point to version "0.3.11" rather than "~> 0.3.11" solved the issue for me.

Seems that there is an issue with the gem '0.3.13' which is buggering the install.

Thread located here:

http://www.redmine.org/boards/2/topics/38765

Ruby -v = 1.9.3p286

Redmine 2.1.2 -> 2.3.2

History

#1 - 2013-07-26 11:28 - Toshi MARUYAMA

- Category changed from Code cleanup/refactoring to Gems support

#2 - 2013-10-10 13:41 - Anonymous

same for me trying an upgrade from 2.3.1 to 2.3.3

Environment:

Redmine version                          2.3.1.stable

Ruby version                             1.9.3 (x86_64-linux)

Rails version                            3.2.13

Environment                              production

Database adapter                         Mysql2

Redmine plugins:

redmine_charts2                          0.2.1

#3 - 2014-08-10 03:11 - Toshi MARUYAMA

- Status changed from New to Closed

It seems fixed.

http://www.redmine.org/boards/2/topics/38765?r=43229#message-43229

Latest version is 0.3.16.

https://github.com/brianmario/mysql2/releases/tag/0.3.16
